MappingMatch (Servlet 6.0 API Documentation - Apache Tomcat 10.1.48)
Description: declaration: package: jakarta.servlet.http, enum: MappingMatch

# Enum MappingMatch

java.lang.Object
java.lang.Enum<MappingMatch>
jakarta.servlet.http.MappingMatch

All Implemented Interfaces:
  `Serializable, Comparable<MappingMatch>, java.lang.constant.Constable`

public enum MappingMatch extends Enum<MappingMatch>
Represents the ways that a request can be mapped to a servlet

Since:
  Servlet 4.0

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONTEXT_ROOT`
  The request was mapped to the servlet via the context root URL pattern of `""`.
  `DEFAULT`
  The request was mapped to the servlet via the default servlet URL pattern of `"/"` .
  `EXACT`
  The request was mapped to the servlet using an exact URL pattern match.
  `EXTENSION`
  The request was mapped to the servlet using an extension URL pattern match.
  `PATH`
  The request was mapped to the servlet using a path URL pattern.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MappingMatch`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static MappingMatch[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONTEXT_ROOT

    public static final MappingMatch CONTEXT_ROOT
    The request was mapped to the servlet via the context root URL pattern of `""`.

  - ### DEFAULT

    public static final MappingMatch DEFAULT
    The request was mapped to the servlet via the default servlet URL pattern of `"/"` .

  - ### EXACT

    public static final MappingMatch EXACT
    The request was mapped to the servlet using an exact URL pattern match.

  - ### EXTENSION

    public static final MappingMatch EXTENSION
    The request was mapped to the servlet using an extension URL pattern match.

  - ### PATH

    public static final MappingMatch PATH
    The request was mapped to the servlet using a path URL pattern.

- ## Method Details

  - ### values

    public static MappingMatch[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MappingMatch valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null